import { Injector } from '@angular/core';
import { StylableComponent } from '../base/stylable.component';
import * as i0 from "@angular/core";
export declare class MessageComponent extends StylableComponent {
    static initializeProps: void;
    messageClass: string;
    messageIconClass: string;
    type: string;
    caption: string;
    hideclose: any;
    constructor(inj: Injector, explicitContext: any);
    showMessage(caption?: string, type?: string): void;
    hideMessage(): void;
    dismiss($event: any): void;
    private onMessageTypeChange;
    onPropertyChange(key: any, nv: any, ov?: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<MessageComponent, [null, { optional: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<MessageComponent, "[wmMessage]", ["wmMessage"], {}, {}, never, never, false, never>;
}
